#!/bin/bash
# Sync time via ntp whenever NetworkManager connects

case "$2" in
    up)
      screensaver_enabled=true
      if xset q | grep -A2 'Screen Saver' | grep -q 'timeout:.*\<0\>.*cycle'; then
	screensaver_enabled=false
      fi
      xset s off
      ntpdate pool.ntp.org
      if $screensaver_enabled; then
	xset s on
      fi
      hwclock -u -w
     ;;
     *)
     ;;
esac
